cowdancer (0.86~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- James Clarke <jrtc27@debian.org>  Thu, 25 Jan 2018 20:47:58 +0000

cowdancer (0.86) unstable; urgency=medium

  * Bump standards version to 4.1.3, no changes needed
  * ilistcreate: Ensure .ilist has the correct permissions (Closes: #872597)
  * cowbuilder: Always pass --mirror and --distribution to pbuilder
  * qemubuilder: Depend on soon-to-be non-Essential e2fsprogs (Closes: #887239)
  * debian/control:
    - Change Vcs-* to point to salsa
    - Set Rules-Requires-Root to no
  * Bump compat to 11, no changes needed

 -- James Clarke <jrtc27@debian.org>  Sat, 20 Jan 2018 12:51:55 +0000

cowdancer (0.85) unstable; urgency=medium

  * cowbuilder.8: Don't document the option-style commands; they're confusing
    and no longer recommended
  * parameter.c: Allow commands to come later; deprecation warnings not given,
    since at least one reverse dependency does not call cowbuilder correctly
    (Closes: #852434)

 -- James Clarke <jrtc27@debian.org>  Tue, 31 Jan 2017 17:16:13 +0000

cowdancer (0.84) unstable; urgency=medium

  [ James Clarke ]
  * Use automake for tests
  * Don't run 016_memleakcheck for now
    - Fixes FTBFS on hurd-i386
  * Reformat everything with the help of clang-format
  * Fix miscellaneous issues found by clang-tidy
  * debian/control:
    - Drop unused Build-Depends
    - Update Build-Depends for cross-building
  * cowbuilder: Pass --architecture to pbuilder when building
  * qemubuilder:
    - Check architecture has been specified (Closes: #440944)
    - Allow custom debootstrap and options (Closes: #851226)
    - Change for-loops to be C89-compliant
    - Enable KVM via -machine (kvm binary is deprecated)
  * parameter:
    - Add missing fields to dump_config and reorder
    - Remove duplicate hookdir definition
    - Sync options with pbuilder 0.228
    - Update short options
    - Accept aliases for the operation to perform
  * cowbuilder.8:
    - Update for new command aliases
    - Various cleanups
  * qemubuilder.8:
    - Update for new command aliases
    - Various cleanups

  [ Mattia Rizzolo ]
  * debian/rules: Mark debian/qemubuilder.README.Debian target as .PHONY, so
    it'll always run when called
  * debian/qemubuilder.README.Debian: update from the wiki

 -- James Clarke <jrtc27@debian.org>  Thu, 19 Jan 2017 14:41:27 +0000

cowdancer (0.83) unstable; urgency=medium

  * parameter.c: Print a friendlier message when basepath can't be created
    (Closes: #753008)
  * debian/control: Use my @debian.org email address
  * debian/copyright: Add myself (2016-2017)
  * Revert "cowdancer: Use multiarch library path"
  * Symlink multiarch path to non-multiarch path (Closes: #850453)
    - If a user has updated their chroot to 0.82, this will cause a few errors
      again on unpack, but this will be a very short window.

 -- James Clarke <jrtc27@debian.org>  Sat, 07 Jan 2017 11:51:22 +0000

cowdancer (0.82) unstable; urgency=medium

  [ James Clarke ]
  * Rewrite build system to use autotools instead of home-grown Makefile
  * qemubuilder: Add support for arm64 (Closes: #838753)

  [ Mattia Rizzolo ]
  * Bump debhelper compat level to 10
  * d/rules: drop override_dh_installchangelogs installing ChangeLog: it's
    installed automatically since compat 7

  [ James Clarke ]
  * cowdancer: Use multiarch library path
  * log.c: Silence colors termcap error (Closes: 845395)

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 05 Dec 2016 00:42:45 +0000

cowdancer (0.81) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * Build with -O2 on ppc64el to fix FTBFS in Ubuntu (that is using -O3)

  [ Iain R. Learmonth ]
  * Removing myself from uploaders

  [ James Clarke ]
  * Unify logging and add colors
    - There is now more consistency with the logging format. Every
      cowbuilder/qemubuilder message is now prefixed with the log level.
    - The new USECOLORS pbuilder configuration variable (yes, no or auto) is
      read, and if yes (or auto, and the terminal supports colors), the same
      colors are used as pbuilder.
    - The LOGLEVEL pbuilder configuration variable now also controls
      cowbuilder/qemubuilder's verbosity.
  * Add quotes around arguments with spaces when printing forked commands

 -- James Clarke <jrtc27@jrtc27.com>  Tue, 13 Sep 2016 12:00:38 +0100

cowdancer (0.80) unstable; urgency=medium

  [ James Clarke ]
  * qemuarch.c:
    - Support x32
  * test_qemuarch.c:
    - Support x32
  * cowbuilder.c:
    - Preserve directory when --debug is given (Closes: #650592)
  * Add support for pbuilder's --binary-indep
    - Only use --force-yes if --allow-untrusted is given
      (Closes: #819093)
    - Add support for hooks.
      Thanks to Reiner Herrmann for the initial concept patch.
      (Closes: #819803)
    - Copy files back as the correct user/group
    - Increase MEMORY_MEGS default to 256
  * qemubuilder.c:
    - Mount /run/lock and /dev/shm as tmpfs
  * qemubuilder.c:
    - Update first-stage script in --update
  * qemubuilder.c:
    - Run hooks from mountpoint and use input/ for copying
    - Build inside /build
    - Detect out of date pbuilder-run init script
    - Update script by mounting root
    - Fixed end-of-work exit code
    - Fixed non-executable hook warning
    - Compatibility symlink from /tmp/buildd to /build
    - Avoid first-stage warnings
    - Delete /pbuilder-run before version check
    - Use tmpfs for /tmp
    - Run commands inside getty
    - Use qemu monitor, with sane tty settings
  * file.c:
    - Preserve permissions on copy

  [ Mattia Rizzolo ]
  * debian/control:
    - Bump Standards-Version to 3.9.8, no changes needed.
  * debian/control:
    - add myself to Uploaders.

  [ Peter Pentchev ]
  * qemubuilder.c:
    - Fixed inverted error check for asprintf breaking --update
      (Closes: #822849)

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 16 May 2016 10:51:15 +0100

cowdancer (0.79) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/control:
    - Remove qemu-system Build-Dep, it's clearly useless.
    - Restrict qemubuilder to linux-any architectures.
    - Bump Standards-Version to 3.9.7, no changes needed.
    - Use HTTPS in Vcs-Git

  [ James Clarke ]
  * debian/control:
    - Add myself to Uploaders. (Closes: #802151)
    - Drop unused busybox-static from Build-Depends.
    - Build everything except qemubuilder on Architecture: any
  * Fix open/open64 giving SIGILL on kFreeBSD. (Closes: #647345)
  * tests/016_memleakcheck.c:
    - Check result of opening /proc/self/maps for NULL.
    - Use /proc/<pid>/maps over /proc/self/maps.
      This fixes the test failing on the Hurd, as /proc/self is currently
      always /proc/1.
  * Makefile:
    - Define DEB_BUILD_ARCH_OS.
    - Don't build qemubuilder when DEB_BUILD_ARCH_OS != "linux".
    - Create tests/log directory if missing
  * qemubuilder.c:
    - Don't hang if child crashes (Closes: #752582)
    - Exit gracefully when missing KERNEL_IMAGE (LP: #1027268)
    - Make kernel halt on panic, rather than hanging
    - Support EXTRAPACKAGES/--extrapackages
    - Specify disk image format for qemu (Closes: #812581)
    - Avoid needless string copy
  * cowbuilder:
    - Don't override --extrapackages (Closes: #606542)
  * cowbuilder.c:
    - Always check for mounts before deleting directories (Closes: #758490)
    - Don't duplicate --debbuildopts (Closes: #754048)
  * tests/log:
    - Remove unnecessary directory
  * parameter.c:
    - Avoid // in buildplace (Closes: #573126)

 -- James Clarke <jrtc27@jrtc27.com>  Mon, 04 Apr 2016 19:21:41 +0100

cowdancer (0.78) unstable; urgency=medium

  * debian/control:
   - Change qemubuilder architecture to any

 -- Iain R. Learmonth <irl@debian.org>  Fri, 25 Dec 2015 14:30:43 +0000

cowdancer (0.77) unstable; urgency=medium

  * bash_completion.cowbuilder:
   - Added --configfile (Closes: #744974)

 -- Iain R. Learmonth <irl@debian.org>  Fri, 25 Dec 2015 11:09:25 +0000

cowdancer (0.76) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * debian/rules:
   - use the dh sequencer and compat 9
   - use CFLAGS from the env, always. dpkg-buildpackage takes care of that in
     debian, just be sure -fno-strict-aliasing is there
   - use LDFLAGS where we actually link stuff
   - use dh_install instead of dh_movefiles
   - enable hardening
  * debian/dirs (removed):
   - let the makefile create the directory, remove debian/dirs
  * qemubuilder.8:
   - remove .qy macro that's not understood by man now
  * cowdancer-ilistcreate.1:
   - remove escaping of round brackets
  * bash_completion.qemubuilder:
   - remove the shebang, bash completion don't want/need the shebang
  * run wrap-and-sort
  * debian/control:
   - remove final dot from cowdancer short description, fix
     description-synopsis-might-not-be-phrased-properly
  * debian/cowbuilder.maintscript:
   - add to remove obsolete /etc/bash_completion/cowbuilder (Closes: #804634)
  * debian/qemubuilder.maintscript:
   - add to remove obsolete /etc/bash_completion/qemubuilder (Closes: #804635)

  [ Iain R. Learmonth ]
  * Ensure qemubuilder mounts rootfs as rw during creation (Closes: #698451)

 -- Iain R. Learmonth <irl@debian.org>  Sun, 13 Dec 2015 11:25:11 +0000

cowdancer (0.75) unstable; urgency=medium

  * Updated references to cdn.debian.net to use httpredir.debian.org (Closes:
    #774469)
  * Add armhf support to qemubuilder (Closes: #780332)
  * Move bash completions to standard location
  * d/control:
   - Changed architecture for qemubuilder to linux-any due to missing
     dependencies on kfreebsd and hurd
   - Added ${misc:Depends} to binary dependencies
  * d/copyright:
   - Updating FSF address in GPL references
   - Reference common licenses
  * Add source format "3.0 (native)"

 -- Iain R. Learmonth <irl@debian.org>  Tue, 03 Nov 2015 11:53:25 +0000

cowdancer (0.74) unstable; urgency=medium

  [ Francois Poirotte ]
  * Send benign messages to stdout not stderr. (Closes: #734162)

  [ Iain R. Learmonth ]
  * Removed debian/watch; this is a native package.
  * debian/control:
   - Switch Vcs-Browser and Vcs-Git to canonical URLs.
   - Change maintainer to Debian pbuilder maintenance team.
   - Added self as an Uploader.
   - Reformatted with cme.
  * debian/copyright:
   - DEP-5 compliance fixes.
  * Fixed handling of .dsc files in qemubuilder. (Closes: #779255)
   - Thanks to Stefan Kisdaroczi!

 -- Iain R. Learmonth <irl@debian.org>  Sun, 11 Oct 2015 21:32:40 +0100

cowdancer (0.73) unstable; urgency=low

  * debbuildopts quoting is wrong from ~/.pbuilderrc (closes: #704247)
  * do not fail test when '/' is not mounted inside chroot. 
    (closes: #713511)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 24 Jul 2013 06:41:33 +0900

cowdancer (0.72) unstable; urgency=low

  [ Jean-Baptiste Lallement ]
  * cowbuilder deletes content of bind-mounted directories (closes: #703406)
  - A directory bind-mounted into pc->buildplace, will be cleaned out by
    rmrf() To avoid this disaster, we skip buildplace clean-up if a directory
    is bind-mounted under the chroot (LP: #1156540)

  [ Junichi Uekawa ]
  * Some refactoring, and removing memory leaks.
  * Mark some functions to be static in cowdancer so that they are not exported.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 30 Mar 2013 11:05:19 +0900

cowdancer (0.71) unstable; urgency=low

  * copyright file in copyright-format-1.0 as specified in policy version 3.9.3.1

 -- Junichi Uekawa <dancer@debian.org>  Fri, 24 Aug 2012 04:51:56 +0900

cowdancer (0.70) unstable; urgency=low

  [ Junichi Uekawa ]
  * update to policy 3.9.2
  - delimit build-depends with a newline.
  - add parallel= support for DEB_BUILD_OPTIONS
  - remove -D_REENTRANT from build scripts, they are linuxthreads requirement, and probably obsolete by now.
  - rather than /run use some other script name /runscript for 'execute'
  - add 'nocheck' DEB_BUILD_OPTIONS support
  - removed unneeded files.

  [ Julian Taylor ]
  * expose --twice to cowbuilder too. (closes: #563089)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 30 May 2012 19:02:00 +0900

cowdancer (0.69) unstable; urgency=low

  [ Mike Gabriel ]
  * Add SMP support to qemubuilder (closes: #661856)

  [ Junichi Uekawa ]
  * add --keyring and --allow-untrusted options to cowbuilder.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 30 Mar 2012 01:19:48 +0900

cowdancer (0.68) unstable; urgency=low

  [ Junichi Uekawa ]
  * remove build-dependency and dependency on qemu, and depend on qemu-
    system.

  [ Dmitry Smirnov ]
  * Bug#660823: qemubuilder: Gnu Hurd support (doesn't quite yet work but first step)

 -- Junichi Uekawa <dancer@debian.org>  Sat, 10 Mar 2012 09:40:54 +0900

cowdancer (0.67) unstable; urgency=low

  [ Junichi Uekawa ]
  * qemubuilder: work around case when othermirror is NULL (unset).
  * qemubuilder: Add --http-proxy to list of parameters for qemubuilder to override.

  [ Werner Mahr ]
  * qemubuilder: Apt inside the emulated system doesn't know
    about outside proxy (closes: #653162)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 25 Dec 2011 16:21:03 +0900

cowdancer (0.66) unstable; urgency=low

  [ Colin Watson ]
  * Bug#648438: cowdancer: FTBFS with ld that defaults to --as-needed:
    bad link order

  [ Junichi Uekawa ]
  * note down where 573126 happens.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 04 Dec 2011 22:44:38 +0900

cowdancer (0.65) unstable; urgency=low

  [ Junichi Uekawa ]
  * remove cowbuilder-cowdancer loop dependency. (closes: #519130)

  [ David Paleino ]
  * update cowbuilder bash completion (closes: #546725)

 -- Junichi Uekawa <dancer@debian.org>  Thu, 22 Sep 2011 11:29:48 +0900

cowdancer (0.64) unstable; urgency=low

  [ Junichi Uekawa ]
  * change default to use arch diskdevice of sd; most arches probably
    switched to /dev/sda by now.
  * binary-arch support for cowbuilder and qemubuilder (closes: #623978,
    #631967)
  * fix spelling mistake (closes: #623971)

  [ Benoît Knecht ]
  * qemubuilder: low read/write performance on qemu block devices
    (closes: #600056)

  [ Mike Gabriel ]
  * adds --othermirror option functionality to qemubuilder 
    (closes: #624012) 

 -- Junichi Uekawa <dancer@debian.org>  Tue, 02 Aug 2011 07:19:33 +0900

cowdancer (0.63) unstable; urgency=low

  * Acknowledge NMUs. (closes: #597102, #564425)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 26 Jun 2011 09:21:02 +0900

cowdancer (0.62+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patch by Beno?t Knecht to add the required additional arguments
    for networking (Closes: #597102)
  * Set urgency medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Thu, 02 Dec 2010 14:11:51 +0100

cowdancer (0.62+nmu1) unstable; urgency=low

  * Non-maintainer upload.
  * Apply fix to qemubuilder's mount problem (Closes: #564425)
    Thanks to Beno?t Knecht, Gregor Herrmann and Martijn van Brummelen for
    working on the issue!

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Fri, 26 Nov 2010 16:16:26 +0100

cowdancer (0.62) unstable; urgency=low

  [ Stefan Kisdaroczi ]
  * set serial console baudrate to 115200 (closes: #587424)
  * use kvm for i386 on amd64 host (closes: #587421)

  [ Junichi Uekawa ]
  * probably, ARM does support 115200n8 too.
  * remove implied -serial=stdio by adding -nodefault. (closes:
    #591470)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 15 Aug 2010 23:43:49 +0900

cowdancer (0.61) unstable; urgency=low

  * add --architecture option to qemubuilder and cowbuilder and support
    ARCHITECTURE option in pbuilderrc. (closes: #564796)
    ARCHITECTURE is preferred over ARCH option, but both options will work.
  * add basepath to cowbuilder bash_completion.
  * add basepath and architecture to bash completion for qemubuilder.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 29 Jan 2010 23:30:35 +0900

cowdancer (0.60) unstable; urgency=low

  * cowbuilder: output a more helpful error message when flock/fchmod/fchown is
    called.
  * cowbuilder: call break_cowlink on templates.dat and password.dat. 
    (closes: #558832)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 02 Dec 2009 23:14:33 +0900

cowdancer (0.59) unstable; urgency=low

  [ Junichi Uekawa ]
  * cowbuilder fix "cannot lock DBdriver config" during parallel usage
    (closes: #553616)
  * qemubuilder: use malta architecture for mips and mipsel.
  * Update README.Debian for qemubuilder

 -- Junichi Uekawa <dancer@debian.org>  Sun, 29 Nov 2009 19:28:48 +0900

cowdancer (0.58) unstable; urgency=low

  * support --debbuildopts for cowbuilder (closes: #548209)
  * add debug message so that what's happening is more obvious.
  * make qemubuilder create output more descriptive error message on
    error to create file (closes: #551614)
  * Improve description for cowbuilder and qemubuilder (closes: #551365)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 01 Nov 2009 23:33:31 +0900

cowdancer (0.57) unstable; urgency=low

  [ Loïc Minier ]
  * Set SHELL=/bin/bash for pipefail; (closes: #532444)
  * Allow for lpia dpkg arch for __i386__ arches

  [ Junichi Uekawa ]
  * modify changelog spelling mistake.
  * add homepage for cowdancer and qemubuilder.
  * remove 'man .hy' typo from cowbuilder.8 (closes: #541820)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 25 Aug 2009 22:24:06 +0900

cowdancer (0.56) unstable; urgency=low

  * minor fix to grammar in cowbuilder.README.Debian (closes: #528559)

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 May 2009 11:10:53 +0900

cowdancer (0.55) unstable; urgency=low

  * COWDANCER_DEBUG=1 sent some output to stdout which broke some cases,
    now outputs to stderr, which is more safe. (closes: #523575)
  * Now make check runs.
  * environment variable COWDANCER_SO specifies location of
    libcowdancer.so, default is /usr/lib/cowdancer/libcowdancer.so,
    useful for running tests on just-built cowdancer.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 13 Apr 2009 07:58:24 +0900

cowdancer (0.54) unstable; urgency=low

  * Really fix i386 qemubuilder; compile with LFS option.
  * Run 'make fastcheck' after build so that I know builds are reasonable.
    Running 'make slowcheck' needs a bit more work.
  * change bash completion
  * add work-around for udev bug #520742, add /etc/udev/disabled

 -- Junichi Uekawa <dancer@debian.org>  Fri, 10 Apr 2009 07:38:47 +0900

cowdancer (0.53) unstable; urgency=low

  * Fix i386 cowdancer, rollback to only use large file support for
    qemubuilder.  cowbuilder and cowdancer seem to need more changes to
    get LFS working. (closes: #520994)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 25 Mar 2009 08:57:45 +0900

cowdancer (0.52) unstable; urgency=low

  * Fix build error on i386. 
    libcowdancer cannot be built with LFS on i386. Disable LFS for now.
    (closes: #520861)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 23 Mar 2009 22:27:51 +0900

cowdancer (0.51) unstable; urgency=low

  * add largefile support flags so that qemubuilder works properly in
    32-bit mode. (closes: #520721)

 -- Junichi Uekawa <dancer@debian.org>  Mon, 23 Mar 2009 08:32:54 +0900

cowdancer (0.50) unstable; urgency=low

  * add handling for inputfile / outputfile options, --inputfile is
    implemented.
  * do not use external resolv.conf inside qemu.
  * add 'quiet' option to kernel booting inside qemu.
  * Set the current time inside chroot for pbuilder create target as
    well.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 21 Mar 2009 11:08:44 +0900

cowdancer (0.49) unstable; urgency=low

  * qemubuilder: depend on debootstrap. (closes: #496077)
  * cowbuilder package: split out from cowdancer. cowdancer can be useful
    in more cases than cowbuilder. (closes: #459436)
    The two packages depend on both packages in order to not break
    backward compatibility.
  * Add a README.Debian for cowbuilder (closes: #496458)
  * Handle IPv4 'lo' device address (127.0.0.0) for --mirror option
    specially, so that they are translated to 10.0.2.2 inside qemu.
  * qemu: mount sysfs and devpts (closes: #511190)

 -- Junichi Uekawa <dancer@debian.org>  Fri, 20 Feb 2009 22:11:22 +0900

cowdancer (0.48) unstable; urgency=low

  * qemubuilder: add support for armel.
  * qemubuilder: add support for --arch-diskdevice option so that users of
    Ubuntu i386 kernels can override from default hd to sd.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 10 Aug 2008 23:40:39 +0900

cowdancer (0.47) unstable; urgency=low

  * Bug fix: "cowdancer: unexpected WIFEXITED status in waitpid", thanks
    to Andreas Beckmann (Closes: #466709).
    Block SIGCHLD when forking cp.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 20 May 2008 07:58:24 +0900

cowdancer (0.46) unstable; urgency=low

  * make cowbuilder work with cowbuilder in etch.  Bug 410723 will revive,
    so it will need --debian-etch-workaround option to enable.
    "provide cowdancer etch support", thanks to Patrick Winnertz
    (Closes: #481344).
  * Add reference to --no-cowdancer-update option in the error message so
    that it's more obvious. (Closes: #481609).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 18 May 2008 12:24:21 +0900

cowdancer (0.45) unstable; urgency=low

  * cowbuilder, qemubuilder: Give error message when '--build' is invoked
    without .dsc file parameter.  (Closes: #460041).
  * output more useful info on waitpid WIFEXITED debug message.
  * add header to .ilist, so that it is possible to know a little bit more
    about the structure.  Note that upgrade will fail within cowdancer
    session, please re-create chroot, or use the --no-cowdancer-update option:

      Unpacking cowdancer (from .../cowdancer_0.45_amd64.deb) ...
      ERROR: ld.so: object '/usr/lib/cowdancer/libcowdancer.so' from LD_PRELOAD cannot be preloaded: ignored.
      cowdancer: .ilist header unexpected
      cowdancer: .ilist header unexpected
      cowdancer: .ilist header unexpected
      dpkg-split: unable to read part file `/tmp/buildd/qemubuilder_0.45_amd64.deb': Cannot allocate memory
      dpkg: error processing /tmp/buildd/qemubuilder_0.45_amd64.deb (--install):
  * Bug fix: "qemubuilder --create installs many useless? packages",
    thanks to David Bremner (Closes: #476547).
    Do not install recommended packages. 
    Qemubuilder now creates '/etc/apt/apt.conf.d/15pbuilder' in the same
    manner as pbuilder.
  * Bug fix: "qemubuilder: Please add kvm as alternate dependency", thanks
    to Josh Triplett (Closes: #479277).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 12 May 2008 08:47:40 +0900

cowdancer (0.44) unstable; urgency=low

  * add Vcs-Git, Vcs-Browser.
  * fix invocation to cowdancer-ilistcreate

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Nov 2007 22:47:22 +0900

cowdancer (0.43) unstable; urgency=low

  * make cowbuilder work with pdebuild. --debbuildopts handling was broken
    for cowbuilder. (Closes: #448330).

 -- Junichi Uekawa <dancer@debian.org>  Sun, 28 Oct 2007 23:13:42 +0900

cowdancer (0.42) unstable; urgency=low

  * Bug fix: "cowdancer: Please ship a (basic) bash completion file",
    thanks to Cyril Brulebois (Closes: #446498).
  * --components support.
  * Bug fix: "qemubuilder doesn&#39;t pass --debbuildopts to
    dpkg-buildpackage", thanks to Alexander Gerasiov (Closes: #447510).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 25 Oct 2007 20:18:28 +0900

cowdancer (0.41) unstable; urgency=low

  * Bug fix: "qemubuilder: build of package failing due to date problems",
    thanks to Jean-Baptiste Note (Closes: #441132).
  * Bug fix: "newly created cowdancer chroot cannot be updated", thanks to
    Paul Wise (Closes: #441463).
  - there was a race condition with .ilist handling.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 10 Sep 2007 19:50:31 +0900

cowdancer (0.40) unstable; urgency=low

  * Bug fix: "cowdancer: Should remove base directory when failed to
    create it", thanks to Nelson A. de Oliveira (Closes: #440651).
  * cow-shell: if COWDANCER_REUSE is not set, remove .ilist file after use.
    (Closes: #350268).
  * Bug fix: "cowdancer: <sys/types.h> needed in cowdancer-ilistcreate.c
    for Etch backport", thanks to Sven Hartge (Closes: #440879).
  * update qemubuilder README.Debian 
  * Don't assume network is always available as 'eth0', and try to find
    out. patch thanks to Jean-Baptiste Note (Closes: #440888).

 -- Junichi Uekawa <dancer@debian.org>  Fri, 07 Sep 2007 08:29:31 +0900

cowdancer (0.39) unstable; urgency=low

  * Bug fix: "qemubuilder: Problem when non-US locale", thanks to
    Jean-Baptiste Note (Closes: #440558).
  * Give fd0 directly to qemu to allow tty control.
  * Handle exit codes.
  * apply patch to more easily handle newer architecture support, 
    thanks to Jean-Baptiste Note: #440555

 -- Junichi Uekawa <dancer@debian.org>  Tue, 04 Sep 2007 08:31:55 +0900

cowdancer (0.38) unstable; urgency=low

  [ Jan-Marek Glogowski ] 
  * Don't clean the environment when invoking dumpconfig 
  (closes: #431993)
  * Better error handling when loading config

  [ Junichi Uekawa ]
  * add aptitude into chroot for pbuilder-satisfydepends-aptitude.
  * add cowdancer-ilistcreate command, which creates ilist file.
  * add cowdancer-ilistdump command, for debugging purposes. It was
    included in the testsuite, but it is generally useful for
    troubleshooting.
  * run cowdancer-ilistcreate within chroot if it exists
  - Bug fix: "cowbuilder cross-arch building support."
    (Closes: #432573).

 -- Junichi Uekawa <dancer@debian.org>  Sat, 01 Sep 2007 13:10:45 +0900

cowdancer (0.37) unstable; urgency=low

  * Trying to fix: "tar segfaulting within cowbuilder chroot", thanks to Michael
    Ablassmeier (closes: #430636).
  - work around glibc bug on dlvsym/dlerror failure case.
  * close mmap fd after use.
  
 -- Junichi Uekawa <dancer@debian.org>  Wed, 27 Jun 2007 07:12:20 +0900

cowdancer (0.36) unstable; urgency=low

  * fix logic for running amd64 on i386.
  * add example for cowbuilder manpage.
  * add --dumpconfig option.
  * Bug fix: "cowbuilder ignores BUILDPLACE", thanks to Guido Guenther
    (Closes: #429058).
  * Bug fix: "qemubuilder: --distribution is not honored", thanks to Ben
    Voui (Closes: #429026).
  * load proper chown for architectures (e.g. i386) which have two
    versions of chown.
  * Bug fix: "qemubuilder: manpage talks of cowbuilder instead of
    qemubuilder", thanks to Ben Voui (Closes: #428959).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 25 Jun 2007 21:26:02 +0900

cowdancer (0.35) unstable; urgency=low

  * add README.Debian to qemubuilder.
  * libcowdancer: change exported symbol names to be less generic.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 09 Jun 2007 22:37:45 +0900

cowdancer (0.34) unstable; urgency=low

  * qemubuilder: fix segv.
  * Bug fix: "big bind mounts make login take a looong time", thanks to
    Joey Hess (Closes: #410723).  
  
    Special-case ./home/ so that it's not scanned for cowbuilder. Usually,
    only the filesystem outside of /home is interesting for cowbuilder
    sessions.
  
 -- Junichi Uekawa <dancer@debian.org>  Sat, 09 Jun 2007 15:16:07 +0900

cowdancer (0.33) unstable; urgency=low

  * qemubuilder: support signed .dsc files
  * qemubuilder: install to /usr/sbin/ instead of /usr/bin.
   (Closes: #427786).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 Jun 2007 21:00:46 +0900

cowdancer (0.32) unstable; urgency=low

  * Try again, call debhelper with '-s' so that it doesn't try to build
    everything on all architectures (Closes: #427650).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 Jun 2007 08:11:54 +0900

cowdancer (0.31) unstable; urgency=low

  * cowbuilder: pass --configfile option through to pbuilder.
  * cowbuilder, qemubuilder: reorganize code, to put shared code into
    parameter.[ch]

 -- Junichi Uekawa <dancer@debian.org>  Wed, 06 Jun 2007 07:54:24 +0900

cowdancer (0.30) unstable; urgency=low

  * Bug fix: "FTBFS: cowdancer_0.29(alpha/unstable): b-d on qemu not
    satisfiable on all archs", thanks to Steve Langasek (Closes: #427650).
    only build on i386, amd64, and powerpc.

 -- Junichi Uekawa <dancer@debian.org>  Tue, 05 Jun 2007 22:50:30 +0900

cowdancer (0.29) unstable; urgency=low

  * qemubuilder, cowbuilder: 'set -e' when sourcing configuration file.
  * Build-Depend on qemu, which is needed for testing.
  
 -- Junichi Uekawa <dancer@debian.org>  Tue, 05 Jun 2007 21:12:02 +0900

cowdancer (0.28) unstable; urgency=low

  * qemubuilder: add example pbuilderrc and document ARCH= option in
    manpage.
  * Build-Depend on pbuilder, since cowbuilder/qemubuilder testsuite
    requires pbuilder to run.

 -- Junichi Uekawa <dancer@debian.org>  Mon, 04 Jun 2007 07:28:22 +0900

cowdancer (0.27) unstable; urgency=low

  * support configuration files in cowbuilder.
  - fixes: "no easy way to specify an alternative basepath", thanks to
    Guido Guenther (Closes: #426589).
  - change Recommends to Depends on pbuilder, since configuration files
    are provided by pbuilder.
  * add reference to pbuilder documentation from cowbuilder documentation.
  * add qemubuilder package. -- this is more of a prototype, but enjoy.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 30 May 2007 09:20:22 +0900

cowdancer (0.26) unstable; urgency=low

  * spec file, port to rpm-based systems.
  * load .ilist file in the constructor, which should make .ilist 
  file be loaded at file descriptor 3. (closes: #413912)
  - add test for close(0);open() not returning 0 for fd.

 -- Junichi Uekawa <dancer@debian.org>  Thu,  8 Mar 2007 09:19:38 +0900

cowdancer (0.25) unstable; urgency=low

  * Bug fix: "cowdancer: Better explain how to use cowbuilder to build
    packages", thanks to Nelson A. de Oliveira (Closes: #405090).
  * Bug fix: "cowdancer: cannot build gnustep-base with cowbuilder",
    thanks to Hubert Chan (Closes: #402669).
    Do not canonicalize lchown.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 31 Dec 2006 15:54:09 +0900

cowdancer (0.24) unstable; urgency=low

  * testsuite update
  * Bug fix: "--save-after-login hardlinks aptcache contents in base.cow",
    thanks to Matti Lindell (Closes: #384132).

 -- Junichi Uekawa <dancer@debian.org>  Thu, 23 Nov 2006 15:00:59 +0900

cowdancer (0.23) unstable; urgency=low

  * cowbuilder --update ignored command-line options; fix.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 31 Aug 2006 07:30:23 +0900

cowdancer (0.22) unstable; urgency=low

  * Bug fix: "cowdancer: documentation fix to document that
    --debootstrapopts etc can be used with cowbuilder", thanks to Pierre
    Habouzit (Closes: #384030).
  * update README.Debian

 -- Junichi Uekawa <dancer@debian.org>  Sat, 26 Aug 2006 09:07:25 +0900

cowdancer (0.21) unstable; urgency=low

  * Do not clean up if return code from pbuilder looks wrong.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 20 Aug 2006 15:08:43 +0900

cowdancer (0.20) unstable; urgency=low

  * Bug fix: "cowdancer: cowbuilder removes base.cow after failed
    --update", thanks to Jorda Polo (Closes: #379797).

 -- Junichi Uekawa <dancer@debian.org>  Wed, 26 Jul 2006 08:35:42 +0900

cowdancer (0.19) unstable; urgency=low

  * actually support --buildplace and fix --basepath. Thanks to Jonas
    Smedegaard for the patch.  (closes: #375019)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 27 Jun 2006 00:07:08 +0900

cowdancer (0.18) unstable; urgency=low

  * cow-shell: COWDANCER_REUSE=yes: reuse .ilist instead of regenerating.
  * cowbuilder: use COWDANCER_REUSE=yes option to avoid excessive call to
    find/xargs. Speeds up pbuilder-satisfydepends considerably, making
    cowbuilder build faster.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Jun 2006 08:34:39 +0900

cowdancer (0.17) unstable; urgency=low

  * mkdir with right permission 0777, not 777.

 -- Junichi Uekawa <dancer@debian.org>  Thu, 15 Jun 2006 08:36:43 +0900

cowdancer (0.16) unstable; urgency=low

  * add test case for sid/etc debootstrap with cdebootstrap and
    debootstrap.
  * Avoid unneeded cowlinkbreak when hardlink number is 1. Caused some
    problems with dpkg-gencontrol. (Closes: #369261).
  * Standards-version: 3.7.2
  * Error out when there is no file in directory to cowprotect.

 -- Junichi Uekawa <dancer@debian.org>  Sun, 11 Jun 2006 15:04:49 +0900

cowdancer (0.15) unstable; urgency=low

  * cowbuilder: give out help message
  * Bug fix: "cowbuilder silently ignore --basepath option if argument
    does not exists", thanks to Marco Nenciarini (Closes: #369220).
  * Bug fix: "manpage for cowbuilder speaks about nonexistent --basetgz
    option", thanks to Marco Nenciarini (Closes: #369211).
  * Bug fix: "cowdancer: cowbuilder fails after invocation of `pbuilder
    clean`", thanks to Edward J. Shornock (Closes: #369258).

 -- Junichi Uekawa <dancer@debian.org>  Mon, 29 May 2006 07:24:07 +0900

cowdancer (0.14) unstable; urgency=low

  * Welcome to cowbuilder, which can be used along with pbuilder.

 -- Junichi Uekawa <dancer@debian.org>  Fri, 26 May 2006 06:32:21 +0900

cowdancer (0.13) unstable; urgency=low

  * use exec instead of system, so that it will work with ' and spaces.

 -- Junichi Uekawa <dancer@debian.org>  Sun,  5 Mar 2006 22:58:16 +0900

cowdancer (0.12) unstable; urgency=low

  * add support for space in filenames.
  - Bug fix: "cowdancer: dpatches with spaces in their name fail to
    apply", thanks to Paul Wise (Closes: #355358).

 -- Junichi Uekawa <dancer@debian.org>  Sun,  5 Mar 2006 19:31:34 +0900

cowdancer (0.11) unstable; urgency=low

  * add error-handling

 -- Junichi Uekawa <dancer@debian.org>  Thu, 26 Jan 2006 08:14:22 +0900

cowdancer (0.10) unstable; urgency=low

  * fixed pthread race condition.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 14 Jan 2006 22:28:03 +0900

cowdancer (0.9) unstable; urgency=low

  * Reorder the flow of execution for the case when /lib/ld.so binary is
    written to; I cannot fork/exec shared binaries while modifying ld.so.

 -- Junichi Uekawa <dancer@debian.org>  Mon,  9 Jan 2006 00:48:17 +0900

cowdancer (0.8) unstable; urgency=low

  * speed improvement when handling ilist file; when handling linux kernel
    source tree, performance degradation was around 6x in 0.7, but it's
    now 1.1x on my test system.
  - Use mmap and binary data format  
  - Use qsort/bsearch on this data format.
  * update README.Debian.

 -- Junichi Uekawa <dancer@debian.org>  Sat,  7 Jan 2006 11:56:06 +0900

cowdancer (0.7) unstable; urgency=low

  * Work around stat change with coreutils 5.3.0 and later
  * Fix testsuite
  * COWDANCER_DEBUG environmental variable enables debug messages.

 -- Junichi Uekawa <dancer@debian.org>  Wed, 23 Nov 2005 14:08:51 +0900

cowdancer (0.6) unstable; urgency=low

  * add chmod/chown support. (closes: #329383)
  - does not fully support fchmod/fchown, 
    apt/dpkg apparently uses that operation.
    will need to investigate further.
  - debian/TODO: added
  * Clear memory before use on ilist; fixes problem on ppc.

 -- Junichi Uekawa <dancer@debian.org>  Wed,  2 Nov 2005 09:07:01 +0900

cowdancer (0.5) unstable; urgency=low

  * cowdancer: cow-shell does not start, gives error (closes: #329344)

 -- Junichi Uekawa <dancer@debian.org>  Wed, 21 Sep 2005 22:54:34 +0900

cowdancer (0.4) unstable; urgency=low

  * added some error checking 
  * Initial upload to Debian archive (closes: #325370)

 -- Junichi Uekawa <dancer@debian.org>  Tue, 30 Aug 2005 08:36:07 +0900

cowdancer (0.3) unstable; urgency=low

  * add testsuite.
  * find -xdev to avoid looking into /proc
  * Try not to COW device files, only handle regular files
  * symlinks support
  * trap fopen/fopen64 as well as open/open64.
  - enough features to run pbuilder 0.130

 -- Junichi Uekawa <dancer@debian.org>  Sat, 20 Aug 2005 10:10:47 +0900

cowdancer (0.2) unstable; urgency=low

  * Fix buffer overflow.

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Aug 2005 21:38:22 +0900

cowdancer (0.1) unstable; urgency=low

  * Initial Release

 -- Junichi Uekawa <dancer@debian.org>  Sat, 13 Aug 2005 21:08:03 +0900


